/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include <stdlib.h>
#include <glib.h>

#include "alarm-internal.h"


int main()
{
	GMainLoop *mainloop = NULL;

	LOGD("Enter main loop\n");

#ifdef TIZEN_TEST_GCOV
	setenv("GCOV_PREFIX", "/tmp/daemon", 1);
#endif

	mainloop = g_main_loop_new(NULL, FALSE);

	_alarm_initialize();

	g_main_loop_run(mainloop);

	return 0;
}
